# List group mappings

> Source: https://truto.one/docs/api-reference/admin/group-mappings/list/

`GET /group-mapping`

Resource: **Group Mappings**

## Query parameters

- **`team_id`** _(string)_
  Filter mappings by team ID.
- **`scim_group_id`** _(string)_
  Filter mappings by SCIM group ID.
- **`id`** _(string)_
  Filter mappings by mapping ID.

## Response body

- **`result`** _(array<object>)_
  - **`id`** _(string)_
    The ID of the group mapping.
  - **`team_id`** _(string)_
    The ID of the team that owns this group mapping.
  - **`scim_group_id`** _(string)_
    The ID of the SCIM group this mapping applies to.
  - **`role`** _(string)_
    The role granted to members of the mapped SCIM group. Null leaves the role unchanged.
    Allowed: `admin`, `member`
  - **`environment_ids`** _(array<string>)_
    Environment IDs that members of the mapped group are granted access to.
  - **`created_at`** _(string)_
    The date and time when the group mapping was created.
  - **`updated_at`** _(string)_
    The date and time when the group mapping was last updated.
- **`next_cursor`** _(string)_
- **`limit`** _(number)_

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/group-mapping' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/group-mapping', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/group-mapping"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```
